SystemOrganization addCategory: #'Glamour-Announcements'!

Announcement subclass: #GLMContextChanged
	instanceVariableNames: 'presentation property value oldValue'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Announcements'!

!GLMContextChanged commentStamp: 'tg 9/20/2009 12:53' prior: 0!
A GLMContextChanged is announced by a presentation.!

!GLMContextChanged methodsFor: 'testing' stamp: ' 4/5/09 22:18'!
announcesNewSelection 
	"ContextChanged announces a new selection if 
	the updated port is #selection and the new value is different from the current selection. 
	This method is useful when updating the selection in UI widgets, because 
	we only want to affect the widget when there actually is a new selection" 
	 
	^self property = #selection 
		and: [self presentation selection ~~ self value]! !

!GLMContextChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
oldValue 
	 
	^oldValue! !

!GLMContextChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
oldValue: anObject 
	 
	oldValue := anObject! !

!GLMContextChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
presentation 
	 
	^presentation! !

!GLMContextChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
presentation: aPresentation 
	 
	presentation := aPresentation! !

!GLMContextChanged methodsFor: 'printing' stamp: 'tg 1/11/2010 08:49'!
printOn: aStream
	super printOn: aStream.
	aStream nextPutAll: ' (presentation = ', self presentation printString , ')'! !

!GLMContextChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
property 
	 
	^property! !

!GLMContextChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
property: aSymbol 
	 
	property := aSymbol! !

!GLMContextChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
value 
	 
	^value! !

!GLMContextChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
value: anObject 
	 
	value := anObject! !

Announcement subclass: #GLMMatchingPresentationsChanged
	instanceVariableNames: 'pane oldMatchingPresentations'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Announcements'!

!GLMMatchingPresentationsChanged commentStamp: 'tg 9/20/2009 12:53' prior: 0!
A GLMMatchingPresentationsChanged is announced by the pane.!

!GLMMatchingPresentationsChanged methodsFor: 'accessing-convenience' stamp: 'tg 1/11/2010 20:59'!
matchingPresentations 
	"The presentations that match now."
	^ self pane matchingPresentations! !

!GLMMatchingPresentationsChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
oldMatchingPresentations 
	"The presentations that matched before this announcement." 
	 
	^oldMatchingPresentations! !

!GLMMatchingPresentationsChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
oldMatchingPresentations: aCollection 
	"The presentations that matched before this announcement." 
	 
	oldMatchingPresentations := aCollection! !

!GLMMatchingPresentationsChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
pane 
	"The pane on which the matching presentations changed." 
	 
	^pane! !

!GLMMatchingPresentationsChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
pane: aPane 
	"The pane on which the matching presentations changed." 
	 
	pane := aPane! !

!GLMMatchingPresentationsChanged methodsFor: 'printing' stamp: 'tg 1/11/2010 08:47'!
printOn: aStream
	super printOn: aStream.
	aStream nextPutAll: ' (pane = ', self pane printString , ')'! !

Announcement subclass: #GLMPresentationUpdated
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Announcements'!

Announcement subclass: #GLMPresentationsChanged
	instanceVariableNames: 'pane oldPresentations'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Announcements'!

!GLMPresentationsChanged commentStamp: 'tg 9/20/2009 12:42' prior: 0!
A GLMPresentationsChanged is announced by the pane.!

!GLMPresentationsChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
oldPresentations 
	"The presentations that were present on the pane before the change." 
	 
	^oldPresentations! !

!GLMPresentationsChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
oldPresentations: aCollection 
	"The presentations that were present on the pane before the change." 
	 
	oldPresentations := aCollection! !

!GLMPresentationsChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
pane 
	"The pane on which the presentations changed." 
	 
	^pane! !

!GLMPresentationsChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
pane: aPane 
	"The pane on which the presentations changed." 
	 
	pane := aPane! !

!GLMPresentationsChanged methodsFor: 'accessing-convenience' stamp: ' 4/5/09 22:18'!
presentations 
	"The presentationt that are currently present on the pane." 
	 
	^self pane presentations! !

!GLMPresentationsChanged methodsFor: 'printing' stamp: 'tg 1/11/2010 08:48'!
printOn: aStream
	super printOn: aStream.
	aStream nextPutAll: ' (pane = ', self pane printString , ')'! !
